%define realname Catalyst-Controller-BindLex
%define name	perl-%{realname}
%define	modprefix Catalyst

%define version	0.03

%define release	%mkrel 1

Summary:	Stash your lexical goodness
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	Artistic/GPL
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{realname}/
Source:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/%{modprefix}/%{realname}-%{version}.tar.bz2
%if %{mdkversion} < 1010
BuildRequires:	perl-devel >= 5.8.1
%endif
BuildRequires:	perl(Array::RefElem)
BuildRequires:	perl(Catalyst)
BuildRequires:	perl(Devel::Caller)
BuildRequires:	perl(Devel::LexAlias)
BuildRequires:	perl(Module::Build)
BuildRequires:	perl(PadWalker)
BuildRequires:	perl(Test::use::ok)
Requires:	perl >= 5.8.1
BuildArch:	noarch
Buildroot:	%{_tmppath}/%{name}-root

%description
This plugin lets you put your lexicals on the stash and elsewhere very
easily.

It uses some funky modules to get it's job done: PadWalker,
Array::RefElem, Devel::Caller, Devel::LexAlias and attributes. In some
people's opinion this hurts this plugin's reputation ;-).

If you use the same name for two variables with the same storage
binding attribute they will be aliased to each other, so you can use
this for reading as well as writing values across controller
subs. This is almost like sharing your lexical scope.


%prep
%setup -q -n %{realname}-%{version}

%build
%__perl Build.PL installdirs=vendor
./Build

%check
./Build test

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
./Build install destdir=%{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{_mandir}/*/*
%{perl_vendorlib}/%{modprefix}

%clean
rm -rf %{buildroot}

%changelog
* Mon May 29 2006 Scott Karns <scottk@mandriva.org> 0.03-1mdv2007.0
- Version 0.03

* Mon May 08 2006 Scott Karns <scottk@mandriva.org> 0.02-1mdk
- Version 0.02
- Updated BuildRequires to include perl(Module::Build)

* Sun Mar 12 2006 Scott Karns <scott@karnstech.com> 0.01-1mdk
- First Mandriva release
